mysql_stmt_next_result(3)

  Name
mysql_stmt_next_result - prepares next result set of a prepared statement

  Synopsis

        #include <mysql.h>

        int mysql_stmt_next_result(MYSQL_STMT * stmt);

  Description
Prepares next result set from a previous call to mysql_stmt_execute(3) which can be retrieved by mysql_stmt_store_result(3).

  Parameter

•   stmt - a statement handle, which was previously allocated by [mysql_stmt_init()](mysql_stmt_init().]]

  Return value
Returns zero on success, nonzero if an error occurred.

  Notes

•   The function mysql_stmt_more_results(3) indicates if further result sets are available.

•   If the execution of a stored procedure produced multiple result sets the return value of mysql_stmt_errno(3)/error() might change and there will be no result set available.

  See also

•   mysql_stmt_execute(3)

•   mysql_stmt_more_results(3)